-- Auto R/R
--
-- This addon auto-reloads and auto-repairs your active ship when you dock or otherwise enter a station.
--
-- Modified by igrok to print more detailed repair/refill info.
-- originally by raybondo
--
-- version 1.1
--
--


-- need to globally create this because RegisterEvent only holds a weak reference to the object.
AutoRR = {}
AutoRR.reloadthingy = {}


function AutoRR.reloadthingy:OnEvent(eventname, ...)
    if eventname == "ENTERED_STATION" then
        AutoRR.money = GetMoney()
        AutoRR.repairCost = 0
        AutoRR.refillCost = 0

        RepairShip(GetActiveShipID(), 1, function()
            AutoRR.repairCost = AutoRR.money - GetMoney()
            AutoRR.money = GetMoney()

            ReplenishAll(GetActiveShipID(), function()
                AutoRR.refillCost = AutoRR.money - GetMoney()

                if AutoRR.repairCost > 0 and AutoRR.refillCost > 0 then
                    purchaseprint('Ship auto-repaired (' .. AutoRR.repairCost .. 'c) and auto-refilled (' .. AutoRR.refillCost .. 'c).')
                elseif AutoRR.repairCost > 0 then
                    purchaseprint('Ship auto-repaired (' .. AutoRR.repairCost .. 'c).')
                elseif AutoRR.refillCost > 0 then
                    purchaseprint('Ship auto-refilled (' .. AutoRR.refillCost .. 'c).')
                end
            end)
        end)
    end
end


RegisterEvent(AutoRR.reloadthingy, "ENTERED_STATION")
